Auth

View as Markdown

Confirm Auth

POST
/human/v0/auth/confirm

Header Parameters

Authorization*string

Bearer authentication

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.agentry.to/human/v0/auth/confirm" \  -H "Authorization: string" \  -H "Content-Type: application/json" \  -d '{    "inbox_id": "string",    "confirmation_token": "string"  }'
{
  "inbox_id": "string",
  "status": "pending_confirmation",
  "email_address": "string",
  "provider": "google_oauth",
  "confirmed_at": "2019-08-24T14:15:22Z"
}

Create Auth Tokens

POST
/human/v0/auth/tokens

Header Parameters

Authorization*string

Bearer authentication

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.agentry.to/human/v0/auth/tokens" \  -H "Authorization: string" \  -H "Content-Type: application/json" \  -d '{    "human_user_id": "string",    "provider": "google_oauth",    "email_address": "string"  }'
{
  "inbox_id": "string",
  "status": "pending_confirmation",
  "email_address": "string",
  "confirmation_expires_at": "2019-08-24T14:15:22Z",
  "confirmation_sent_at": "2019-08-24T14:15:22Z"
}

Create Auth URL

POST
/human/v0/auth/url

Header Parameters

Authorization*string

Bearer authentication

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.agentry.to/human/v0/auth/url" \  -H "Authorization: string" \  -H "Content-Type: application/json" \  -d '{    "provider": "google_oauth",    "human_user_id": "string"  }'
{
  "provider": "google_oauth",
  "authorization_url": "http://example.com",
  "state": "string"
}